package com.greenorange.promotion.annotation;
 
import java.lang.annotation.*;
 
/**
 *  JWT 权限注解
 **/
 
@Target({ElementType.TYPE, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface RequiresPermission {
     String roles() default " ";
     String permissions() default " ";
}